Last Comment Bug 671632 - Nightly shark build broken
: Nightly shark build broken
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: unspecified
: x86_64 Mac OS X
: -- normal (vote)
: ---
Assigned To: Steve Fink [:sfink] [:s:] (PTO Sep23-28)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-14 12:34 PDT by Steve Fink [:sfink] [:s:] (PTO Sep23-28)
Modified: 2011-07-17 17:29 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Fix the Shark build (1.30 KB, patch)
2011-07-14 12:34 PDT, Steve Fink [:sfink] [:s:] (PTO Sep23-28)
no flags Details | Diff | Splinter Review
Fix the Shark build (1.33 KB, patch)
2011-07-14 15:51 PDT, Steve Fink [:sfink] [:s:] (PTO Sep23-28)
jwalden+bmo: review+
Details | Diff | Splinter Review

Description Steve Fink [:sfink] [:s:] (PTO Sep23-28) 2011-07-14 12:34:15 PDT
Created attachment 545977 [details] [diff] [review]
Fix the Shark build

Looks like fallout from my landing of bug 588537, which included some bitrotted changes to starting/stopping profiling.
Comment 1 Steve Fink [:sfink] [:s:] (PTO Sep23-28) 2011-07-14 15:51:44 PDT
Created attachment 546024 [details] [diff] [review]
Fix the Shark build

Whoops, Shark::Stop() doesn't return a bool.

This compiled on my mac.

(Sorry, Waldo, you made the mistake of having an empty review queue when I checked.)
Comment 2 Steve Fink [:sfink] [:s:] (PTO Sep23-28) 2011-07-14 16:47:01 PDT
Comment on attachment 546024 [details] [diff] [review]
Fix the Shark build

Cancelling review request because I'm seeing a failure linking a test.
Comment 3 Steve Fink [:sfink] [:s:] (PTO Sep23-28) 2011-07-15 08:20:09 PDT
Comment on attachment 546024 [details] [diff] [review]
Fix the Shark build

Oh. The failure was a pre-existing problem with Shark and --enable-shared-js. That should be fixed separately. I'm leaving in half a fix simply because it's what I pushed to Try successfully; I can push another without it if you'd like.
Comment 4 Steve Fink [:sfink] [:s:] (PTO Sep23-28) 2011-07-15 15:15:28 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/bf955b263587
Comment 5 Joe Drew (not getting mail) 2011-07-17 17:29:09 PDT
http://hg.mozilla.org/mozilla-central/rev/bf955b263587

Note You need to log in before you can comment on or make changes to this bug.